Grammarly says my browser is not compatible.

Many computers come with a pre-installed Internet browser. Some examples are Safari on Mac and Internet Explorer or Microsoft Edge on Windows. Grammarly is also supported on Mozilla Firefox and Google Chrome.

Please install any modern browser from the list below:

Screen_Shot_2016-04-08_at_5.56.28_PM.png

Once you're certain your browser is compatible, follow the troubleshooting steps below to resolve the issue.

Clear browser cookies
Your browser may be referencing an outdated or corrupted setting in the cookie file.

  • Clear the browser cookie by following these steps. This will sign you out of Grammarly.com
  • Go to www.grammarly.com, then Member Sign In  to log back in and enjoy using Grammarly again.

Restart your browser
Sometimes restarting your browser can clear this issue.

  • Save your text to a safe location, quit your browser, restart it, and resume using Grammarly.

Try another browser
A browser extension, plug-in, or add-on may be causing this error. Try using Grammarly in another browser.

  • If you are able to use the service in another browser, your current browser may be experiencing an issue or may need to be upgraded to a newer version.
Was this article helpful?
Have more questions? Submit a request

Comments